<script setup lang="ts">
import type { BaseLink } from '@/types/base';
interface VideoFeatureProps {
  video: {
    thumbnail: string;
    videoMP4: string;
    videoWebm: string;
  };
  textBlock: {
    header: string;
    text: string;
  };
  config?: { theme?: string; alignLeft?: boolean };
}
interface DuoFeaturesProps {
  videoFeatures: Array<VideoFeatureProps>;
  config?: {
    theme?: string;
    id?: string;
  };
  banner: {
    header: string;
    button: BaseLink;
  };
}

defineProps<DuoFeaturesProps>();
</script>

<template>
  <section :id="config?.id" :class="`gitlab-duo-features--${config?.theme}`">
    <SlpContainer>
      <div>
        <GitlabDuoTextAndVideoCol
          v-for="(section, index) in videoFeatures"
          :key="index"
          v-bind="section"
          :index="index"
        />
      </div>
    </SlpContainer>
    <GitlabDuoGartnerBanner v-if="banner" v-bind="banner" />
    <SlpContainer> </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.gitlab-duo-features {
  &--dark {
    background-color: $color-primary-200;
  }
}
</style>
